package de.ozgcloud.nachrichten.postfach.muk;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import de.ozgcloud.apilib.file.OzgCloudFileService;
import de.ozgcloud.apilib.file.grpc.GrpcOzgCloudFileService;
import de.ozgcloud.apilib.file.grpc.OzgCloudFileMapper;
import de.ozgcloud.vorgang.grpc.binaryFile.BinaryFileServiceGrpc.BinaryFileServiceBlockingStub;
import de.ozgcloud.vorgang.grpc.binaryFile.BinaryFileServiceGrpc.BinaryFileServiceStub;
import net.devh.boot.grpc.client.inject.GrpcClient;

@Configuration
public class MukPostfachConfiguration {

	public static final String OZG_CLOUD_FILE_SERVICE_NAME = "mukPostfach_OzgCloudFileService";

	public static final String GRPC_FILE_MANAGER_NAME = "file-manager";

	public static final String MUK_POSTFACH_CLIENT_NAME = "OzgCloud_MukPostfach";

	@GrpcClient(GRPC_FILE_MANAGER_NAME)
	private BinaryFileServiceBlockingStub fileServiceBlockingStub;
	@GrpcClient(GRPC_FILE_MANAGER_NAME)
	private BinaryFileServiceStub fileServiceAsyncServiceStub;

	@Bean(OZG_CLOUD_FILE_SERVICE_NAME) // NOSONAR
	OzgCloudFileService grpcOzgCloudFileService(MukPostfachCallContextProvider contextProvider, OzgCloudFileMapper mapper) {
		return new GrpcOzgCloudFileService(fileServiceBlockingStub, fileServiceAsyncServiceStub, contextProvider, mapper);
	}
}
