/*
 * Copyright (c) 2024.  Das Land Schleswig-Holstein vertreten durch den Ministerpräsidenten des Landes
 * Schleswig-Holstein Staatskanzlei Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.nachrichten.postfach.muk;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.muk.elster.transfer.AnhangMimeType;
import de.ozgcloud.muk.elster.transfer.BereitstellungAnhangWithUploadId;

public class BereitstellungAnhangTestFactory {
	public static final UUID UPLOAD_ID = UUID.randomUUID();
	public static final String DATEI_BEZEICHNUNG = LoremIpsum.getInstance().getWords(1);
	public static final AnhangMimeType ANHANG_MIME_TYPE_CSV = AnhangMimeType.TEXT_CSV;
	public static final String DATEINAME_MIT_ERWEITERUNG = DATEI_BEZEICHNUNG + ".csv";

	public static BereitstellungAnhangWithUploadId createWithUploadId() {
		var anhang = new BereitstellungAnhangWithUploadId();
		anhang.setUploadId(UPLOAD_ID);
		anhang.setDateiBezeichnung(DATEI_BEZEICHNUNG);
		anhang.setMimeType(ANHANG_MIME_TYPE_CSV);
		anhang.setDateinameMitErweiterung(DATEINAME_MIT_ERWEITERUNG);

		return anhang;
	}
}
